ios - App archiviata con Xcode 11.2(11B52) rifiutata: ITMS-90534: Toolchain non valida




app-store macos-catalina (2)

Xcode 11.2 è deprecato da Apple il 5 novembre 2019

Soluzione sempre funzionante (download manuale)

Scarica il file xip da qui

Anche:

Ultima versione di rilascio (Xcode 11.2.1)

o

Ultima versione beta (Xcode 11.3 Beta)

o

Qualsiasi versione di cui hai bisogno . E tutti gli altri contenuti scaricabili

Quindi estrailo e spostalo dove preferisci.

Puoi trovare tutta la soluzione alternativa al problema qui.

Ho installato sia Catalina che Xcode 11 dal negozio e sono aggiornati:

  • Catalina: 10.15.1 (19B88)
  • Xcode: 11.2 (11B52)

Ieri ho caricato un nuovo binario usando fastlane . Oggi ho ricevuto questo messaggio da Apple:

Gentile sviluppatore,

Abbiamo identificato uno o più problemi con un recente invio per la revisione dell'App Store per la tua app, "Gözen Security" 7.3.2 (67). Correggi i seguenti problemi, quindi carica di nuovo.

ITMS-90534: Toolchain non valido: l'app è stata creata con una versione non supportata di Xcode o SDK. Se prevedi di inviare questa build all'App Store, assicurati di utilizzare la versione GM di Xcode 10.1 e SDK per iOS 12.1 e watchOS 5.1, Xcode 7.1 e SDK per tvOS 9 o Xcode 6 e SDK per macOS 10.9 o successivo. Se stai utilizzando una versione beta di Xcode per testare la tua app, assicurati di utilizzare l'ultima versione supportata. Per ulteriori informazioni sulle versioni beta supportate, visualizzare la pagina Novità di App Store Connect ( https://developer.apple.com/app-store-connect/whats-new/ ).

I migliori saluti,

Il team dell'App Store

Poiché Catalina e Xcode 11 sono stati ufficialmente rilasciati, perché Apple vuole ancora che io usi Xcode 10 e iOS 12 ?


Devi cambiare la toolchain dalle impostazioni di Xcode . Puoi farlo come segue:

  1. Apri " Xcode ".
  2. Dal menu in alto, tocca " Xcode -> Preferenze ".
  3. Dal menu aperto, toccare " Posizioni> Strumenti da riga di comando> Xcode 11.2 (11B52) ".

Nota: potrebbero esserci più toolchain a seconda delle versioni di Xcode installate, quindi è meglio scegliere l'ultima versione durante l'invio delle app.

Fammi sapere che aiuta o no?







macos-catalina